Bug 438717 - (CVE-2008-1235) CVE-2008-1235 chrome privilege via wrong principal
CVE-2008-1235 chrome privilege via wrong principal
Status: CLOSED CURRENTRELEASE
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=critical,source=mozilla,report...
: Security
Depends On: 438396 438397 438398 438401 438402 438403 438404 438938 438939 442855 442856 442857
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-24 14:15 EDT by Josh Bressers
Modified: 2008-05-10 09:54 EDT (History)
1 user (show)

See Also:
Fixed In Version: 2.0.0.14-1.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-10 09:53:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2008:0207 normal SHIPPED_LIVE Critical: firefox security update 2008-03-26 21:08:19 EDT
Red Hat Product Errata RHSA-2008:0208 normal SHIPPED_LIVE Critical: seamonkey security update 2008-03-27 19:17:00 EDT
Red Hat Product Errata RHSA-2008:0209 normal SHIPPED_LIVE Moderate: thunderbird security update 2008-04-03 10:55:43 EDT

  None (edit)
Description Josh Bressers 2008-03-24 14:15:34 EDT
Mozilla contributors Boris Zbarsky, Johnny Stenback, and moz_bug_r_a4 all
independently showed that the browser could be forced to run JavaScript code
using the wrong principal leading to universal XSS and arbitrary code execution.
Comment 2 Josh Bressers 2008-03-25 22:02:24 EDT
This is now public:
http://www.mozilla.org/security/announce/2008/mfsa2008-14.html
Comment 3 Fedora Update System 2008-03-25 22:14:58 EDT
blam-1.8.3-14.fc8,chmsee-1.0.0-1.30.fc8,devhelp-0.16.1-6.fc8,epiphany-2.20.3-2.fc8,epiphany-extensions-2.20.1-6.fc8,firefox-2.0.0.13-1.fc8,galeon-2.0.4-1.fc8.3,gnome-python2-extras-2.19.1-13.fc8,gnome-web-photo-0.3-9.fc8,gtkmozembedmm-1.4.2.cvs20060817-19.fc8,kazehakase-0.5.3-5.fc8,liferea-1.4.13-2.fc8,Miro-1.1.2-2.fc8,openvrml-0.17.5-4.fc8,ruby-gnome2-0.16.0-21.fc8,yelp-2.20.0-8.fc8 has been submitted as an update for Fedora 8
Comment 4 Fedora Update System 2008-03-26 13:10:02 EDT
chmsee-1.0.0-1.30.fc7, devhelp-0.13-15.fc7, epiphany-2.18.3-8.fc7, epiphany-extensions-2.18.3-8, firefox-2.0.0.13-1.fc7, galeon-2.0.3-16.fc7, gnome-python2-extras-2.14.3-9.fc7, gtkmozembedmm-1.4.2.cvs20060817-16.fc7, kazehakase-0.5.3-5.fc7, liferea-1.4.13-2.fc7, Miro-1.1.2-2.fc7, openvrml-0.16.7-4.fc7, ruby-gnome2-0.16.0-22.fc7, yelp-2.18.1-10.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2008-03-26 13:12:17 EDT
gnome-python2-extras-2.19.1-13.fc8, ruby-gnome2-0.16.0-21.fc8, epiphany-2.20.3-2.fc8, gtkmozembedmm-1.4.2.cvs20060817-19.fc8, epiphany-extensions-2.20.1-6.fc8, liferea-1.4.13-2.fc8, Miro-1.1.2-2.fc8, yelp-2.20.0-8.fc8, devhelp-0.16.1-6.fc8, galeon-2.0.4-1.fc8.3, gnome-web-photo-0.3-9.fc8, chmsee-1.0.0-1.30.fc8, kazehakase-0.5.3-5.fc8, openvrml-0.17.5-4.fc8, blam-1.8.3-14.fc8, firefox-2.0.0.13-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2008-05-10 09:53:00 EDT
thunderbird-2.0.0.14-1.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2008-05-10 09:54:41 EDT
thunderbird-2.0.0.14-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.